Vollständige REST API-Referenz mit curl-Beispielen
/api/v1Benutzer-Authentifizierung und Session-Verwaltung. Login und Registrierung sind oeffentlich zugaenglich, alle anderen Endpunkte erfordern eine aktive Session.
/api/v1/authpublic/api/v1/auth/logincurl -X POST https://example.com/api/v1/auth/login \
-H "Content-Type: application/json" \
-c cookies.txt \
-d '{"email":"max@mustermann-gmbh.de","password":"sicheresPasswort123!"}'/api/v1/auth/registercurl -X POST https://example.com/api/v1/auth/register \
-H "Content-Type: application/json" \
-c cookies.txt \
-d '{"email":"lisa@weber-consulting.de","password":"meinPasswort456!","firstName":"Lisa","lastName":"Weber","companyName":"Weber Consulting GmbH"}'/api/v1/auth/logoutcurl -X POST https://example.com/api/v1/auth/logout \
-b cookies.txt/api/v1/auth/me# Variante A: Session-Cookie
curl https://example.com/api/v1/auth/me \
-b cookies.txt
# Variante B: API-Key
curl https://example.com/api/v1/auth/me \
-H "x-api-key: xkmu_<dein-key>"/api/v1/auth/permissionscurl https://example.com/api/v1/auth/permissions \
-b cookies.txt/api/v1/auth/change-passwordcurl -X POST https://example.com/api/v1/auth/change-password \
-H "Content-Type: application/json" \
-b cookies.txt \
-d '{"currentPassword":"altesPasswort123!","newPassword":"neuesSicheresPasswort456!"}'